package de.samdev.colorrunner.game.renderer;

import com.badlogic.gdx.graphics.glutils.ShapeRenderer.ShapeType;

import de.samdev.colorrunner.game.world.CRGameWorld;
import de.samdev.colorrunner.game.world.entities.CRGameEntity;

public class CRGameRenderer extends AbstractGameRenderer {
	private CRGameWorld gameworld;

	public CRGameRenderer(CRGameWorld _world, float width, float height) {
		super(width, height);

		gameworld = _world;
	}

	@Override
	public void doRender() {
		renderDebug("FPS: " + (int)gameworld.fps.getFPS());
		

		shapeRenderer.begin(ShapeType.Filled);
		shapeRenderer.setColor(1, 0, 0, 1);

		for (CRGameEntity e : gameworld.entities) {
			shapeRenderer.rect(e.bounds.x, e.bounds.y, e.bounds.width, e.bounds.height);
		}
		shapeRenderer.end();
	}
}
