package de.samdev.colorrunner.game.world.entities;

import com.badlogic.gdx.math.Rectangle;
import com.badlogic.gdx.math.Vector2;

public abstract class CRGameEntity {
	public Rectangle bounds = new Rectangle();
	
	protected Vector2 tmp_pos = new Vector2();
	
	public CRGameEntity(float width, float height) {
		bounds = new Rectangle(0, 0, width, height);
	}

	public Vector2 getPosition() {
		return bounds.getPosition(tmp_pos);
	}

	protected void moveBy(float bx, float by) {
		bounds.x += bx;
		bounds.y += by;
	}
	
	public abstract void update(float delta);
}
